org.gradle.api.file

## Interface DeleteSpec

- All Known Implementing Classes:
    Delete

      public interface DeleteSpec

  A specification for deleting files from the filesystem.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DeleteSpec` | `delete(Object... files)` Specifies the files to delete.
    `void` | `setFollowSymlinks(boolean followSymlinks)` Specifies whether or not symbolic links should be followed during deletion.

- - ### Method Detail

    - #### delete

          DeleteSpec delete(Object... files)

      Specifies the files to delete.
      Parameters:
        `files` - the list of files which should be deleted. Any type of object accepted by `Project.files(Object...)`

    - #### setFollowSymlinks

          void setFollowSymlinks(boolean followSymlinks)

      Specifies whether or not symbolic links should be followed during deletion.
      Parameters:
        `followSymlinks` - deletion will follow symlniks when true.